/**
 *
 * Beschreibung
 *
 * @version 1.0 vom 11.03.2025
 * @author 
 */

public class Artikel {
  
  // Anfang Attribute
  private int artikelNr;
  private String artikelBez;
  private double ekPreis;
  private int bestand;
  // Ende Attribute
  
  public Artikel(int artikelNr, String artikelBez, double ekPreis, int bestand) {
    this.artikelNr = artikelNr;
    this.artikelBez = artikelBez;
    this.ekPreis = ekPreis;
    this.bestand = bestand;
  }

  // Anfang Methoden
  public int getArtikelNr() {
    return artikelNr;
  }

  public void setArtikelNr(int artikelNrNeu) {
    artikelNr = artikelNrNeu;
  }

  public String getArtikelBez() {
    return artikelBez;
  }

  public void setArtikelBez(String artikelBezNeu) {
    artikelBez = artikelBezNeu;
  }

  public double getEkPreis() {
    return ekPreis;
  }

  public void setEkPreis(double ekPreisNeu) {
    ekPreis = ekPreisNeu;
  }

  public int getBestand() {
    return bestand;
  }

  public void setBestand(int bestandNeu) {
    bestand = bestandNeu;
  }

  public double artikelWert() {
  
     return bestand*ekPreis;
  }

  // Ende Methoden
} // end of Artikel
